<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class BaseDistrict extends Model
{
    //
    protected $table = "base_district";
    protected $guarded = [];


    public function province()
    {
        return $this->belongsTo(BaseDistrict::class,'pid','id');
    }

    public function city()
    {
        return $this->belongsTo(BaseDistrict::class,'pid','id');
    }

//    public function communities()
//    {
//        return $this->hasMany(Communities::class,'area_id','id');
//    }
}
